cd [mkdir drcl.comp.Component /ex1]
puts "creating topology..."
set link_ [java::new drcl.inet.Link]
set adjMatrix_ [java::new {int[][]} 26 {{1 3} {2 4 5 0} {1 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25} {0} {1} {1} {2} {2} {2} {2} {2} {2} {2} {2} {2} {2} {2} {2} {2} {2} {2} {2} {2} {2} {2} {2}}]
java::call drcl.inet.InetUtil createTopology [! .] $adjMatrix_ $link_
puts "Build..."
#NodeBuilder

set nb0 [mkdir drcl.inet.NodeBuilder .nodeBuilder0]
$nb0 build [! n?]

set nb1 [mkdir drcl.inet.NodeBuilder .nodeBuilder1]
! $nb1 setBandwidth 10000000
! $nb1 setLinkEmulationEnabled true
! $nb1 setLinkPropDelay 0.005
! $nb1 setMTU 512
set nb2 [mkdir drcl.inet.NodeBuilder .nodeBuilder2]
! $nb2 setBandwidth 3000000
! $nb2 setLinkEmulationEnabled true
! $nb2 setLinkPropDelay 0.077
! $nb2 setMTU 512
set nb3 [mkdir drcl.inet.NodeBuilder .nodeBuilder3]
! $nb3 setBandwidth 100000000
! $nb3 setLinkEmulationEnabled true
! $nb3 setLinkPropDelay 0.035
! $nb3 setMTU 512

$nb1 build [! h3] {
udp drcl.inet.transport.UDP
master 1001/udp es.simTacticat.replicated.ServerReplicated
}
$nb2 build [! h4-5] {
udp drcl.inet.transport.UDP
server 700/udp es.simTacticat.replicated.ServerReplicated
}
$nb3 build [! h6-25] {
udp drcl.inet.transport.UDP
client 501/udp es.simTacticat.replicated.ReplicatedClient
}



puts "set up static routes..."
java::call drcl.inet.InetUtil setupRoutes [! h3] [! h4] "bidirection"
java::call drcl.inet.InetUtil setupRoutes [! h3] [! h5] "bidirection"
java::call drcl.inet.InetUtil setupRoutes [! h3] [! h6] "bidirection"
java::call drcl.inet.InetUtil setupRoutes [! h3] [! h7] "bidirection"
java::call drcl.inet.InetUtil setupRoutes [! h3] [! h8] "bidirection"
java::call drcl.inet.InetUtil setupRoutes [! h4] [! h9] "bidirection"
java::call drcl.inet.InetUtil setupRoutes [! h4] [! h10] "bidirection"
java::call drcl.inet.InetUtil setupRoutes [! h4] [! h11] "bidirection"
java::call drcl.inet.InetUtil setupRoutes [! h5] [! h12] "bidirection"
java::call drcl.inet.InetUtil setupRoutes [! h5] [! h13] "bidirection"
java::call drcl.inet.InetUtil setupRoutes [! h5] [! h14] "bidirection"
java::call drcl.inet.InetUtil setupRoutes [! h5] [! h15] "bidirection"
java::call drcl.inet.InetUtil setupRoutes [! h3] [! h16] "bidirection"
java::call drcl.inet.InetUtil setupRoutes [! h3] [! h17] "bidirection"
java::call drcl.inet.InetUtil setupRoutes [! h3] [! h18] "bidirection"
java::call drcl.inet.InetUtil setupRoutes [! h4] [! h19] "bidirection"
java::call drcl.inet.InetUtil setupRoutes [! h4] [! h20] "bidirection"
java::call drcl.inet.InetUtil setupRoutes [! h4] [! h21] "bidirection"
java::call drcl.inet.InetUtil setupRoutes [! h5] [! h22] "bidirection"
java::call drcl.inet.InetUtil setupRoutes [! h5] [! h23] "bidirection"
java::call drcl.inet.InetUtil setupRoutes [! h5] [! h24] "bidirection"
java::call drcl.inet.InetUtil setupRoutes [! h5] [! h25] "bidirection"

set plot_ [mkdir drcl.comp.tool.Plotter .plot]
set tm0_ [mkdir drcl.net.tool.TrafficMonitor .tm0]
set tm1_ [mkdir drcl.net.tool.TrafficMonitor .tm1]
connect -c h3/master/down@ -to $tm0_/in@
connect -c h4/fwd/6@up -to $tm1_/in@
connect -c $tm0_/bytecount@ -to $plot_/0@0
connect -c $tm1_/bytecount@ -to $plot_/1@0
set sim [attach_simulator .]

! h3/master setMaster;
! h4/server send_join 3 1001;
! h5/server send_join 3 1001;
! h6/client send_connect 3 1001;
! h7/client send_connect 3 1001;
! h8/client send_connect 3 1001;
! h9/client send_connect 4 700;
! h10/client send_connect 4 700;
! h11/client send_connect 4 700;
! h12/client send_connect 5 700;
! h13/client send_connect 5 700;
! h14/client send_connect 5 700;
! h15/client send_connect 5 700;
! h16/client send_connect 3 1001;
! h17/client send_connect 3 1001;
! h18/client send_connect 3 1001;
! h19/client send_connect 4 700;
! h20/client send_connect 4 700;
! h21/client send_connect 4 700;
! h22/client send_connect 5 700;
! h23/client send_connect 5 700;
! h24/client send_connect 5 700;
! h25/client send_connect 5 700;
! h3/master esperar;
! h3/master sincronizar;
! h3/master esperar;
! h3/master sincronizar;
! h3/master esperar;
! h3/master sincronizar;
! h3/master esperar;
! h3/master sincronizar;
! h3/master esperar;
! h3/master sincronizar;
! h3/master esperar;
! h3/master sincronizar;
! h3/master esperar;
! h3/master sincronizar;
! h3/master esperar;
! h3/master sincronizar;
! h3/master esperar;
! h3/master sincronizar;
! h3/master esperar;
! h3/master sincronizar;
! h3/master esperar;
puts "Finalizado..."
run .
